#include <iostream>
#include <vector>
#include <math.h>
#include "text.h"
using namespace std;

const size_t SCREEN_WIDTH = 80;
const size_t MAX_ASTERISK = SCREEN_WIDTH - 3 - 1;

void show_histogram_text(const std::vector<size_t> bins, size_t bin_count, const std::vector<double> numbers)
{
    size_t procent=100;
    for(size_t i = 0;i<(bin_count-1);i++){
    double number = numbers.size();
    //cout<<number;
    double proc=(bins[i]/number)*100;
    procent -=round(proc);
    printf("%3.0f%%:", proc);
    for(size_t j = 0;j<bins[i];j++)
    {
        cout<<"*";
    }
    cout<<endl;
    }
    //procent=Math.round(procent);
    printf("%3d%%:",procent);
    for(size_t j = 0;j<bins[bin_count - 1];j++)
    {
        cout<<"*";
    }
}
